summaryrefslogtreecommitdiffstats
path: root/utilities
diff options
context:
space:
mode:
authorPaul E. McKenney <paulmck@kernel.org>2021-12-26 09:38:46 -0800
committerPaul E. McKenney <paulmck@kernel.org>2021-12-26 09:38:46 -0800
commitc61c609402d5048f0705c09f5ef634a65c054201 (patch)
treee19abbb8e4ea6511898fc4ecd57f2f0b5ca1ff12 /utilities
parent8d90bc7f130f9b62ca1609925fe20ed7350a7ad5 (diff)
downloadperfbook-c61c609402d5048f0705c09f5ef634a65c054201.tar.gz
utilities/torelease: Add ebook version to release process
Signed-off-by: Paul E. McKenney <paulmck@kernel.org>
Diffstat (limited to 'utilities')
-rw-r--r--utilities/torelease.sh13
1 files changed, 12 insertions, 1 deletions
diff --git a/utilities/torelease.sh b/utilities/torelease.sh
index 142939f4..d6b02bc5 100644
--- a/utilities/torelease.sh
+++ b/utilities/torelease.sh
@@ -11,6 +11,8 @@
# "repo_url" defaults to Paul's git repository at gitolite.kernel.org.
# "remote" defaults to "perfbook".
#
+# The defaults are appropriate for a release.
+#
# This program is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
@@ -93,13 +95,22 @@ then
fi
cp perfbook-1c.pdf "${destdir}/perfbook-1c.${tag}.pdf"
+touch perfbook-lt.tex # Force re-run of "utilities/autodate.sh"
+if ! make eb
+then
+ git tag -d "${gittag}"
+ echo Ebook build failed, giving up.
+ exit 8
+fi
+cp perfbook-eb.pdf "${destdir}/perfbook-eb.${tag}.pdf"
+
echo Hit return when prepared to provide repository credentials.
read dummy
if ! git push ${remote} ${gittag}
then
git tag -d ${gittag}
echo Tag push failed, giving up.
- exit 8
+ exit 9
fi
if ! test -f "${destdir}/Changes.*.txt"
then